=== debian/changelog ===
python-hdf4 (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - drop 0001-Use-hdf4-alt.patch: no longer necessary
    - drop 0002-Do-not-pass-empty-arguments-to-setup.patch:
      no longer necessary

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 20 Feb 2019 07:04:19 +0000

python-hdf4 (0.9.1-1) unstable; urgency=medium

  * Initial version (Closes: #917254)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Dec 2018 16:39:26 +0000
