=== debian/control ===
Source: python-hdf4
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               libhdf4-alt-dev,
               libjpeg-dev,
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
Homepage: https://github.com/fhs/python-hdf4

Package: python3-hdf4
Architecture: any
Depends: python3-numpy,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python-HDF4: Python interface to the NCSA HDF4 library
 The Python-HDF4 package wraps the functionality of the NCSA HDF version
 4 library inside a Python OOP framework. The SD (scientific dataset),
 VS (Vdata) and V (Vgroup) APIs are currently implemented.  SD datasets
 are read/written through numpy arrays. NetCDF files can also be read
 and modified with Python-HDF4.
 .
 This package is a fork of pyhdf (http://pysclint.sourceforge.net/pyhdf/).
