## python-hdf4 0.10.1

=== debian/changelog ===
python-hdf4 (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Update copyright holder name from pyhdf4 to pyhdf.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jul 2019 05:51:58 +0000
