=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
@@ -12,7 +13,7 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
