## python-hdf4 0.10.3

=== debian/changelog ===
python-hdf4 (0.10.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:07:08 +0000

python-hdf4 (0.10.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Aug 2021 08:13:22 +0000
