=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
