## python-hdf4 0.10.5

=== debian/changelog ===
python-hdf4 (0.10.5-3) unstable; urgency=medium

  * Fix d/tests/python3 script to use pytest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Aug 2022 19:22:41 +0000

python-hdf4 (0.10.5-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Remove nose dependency, use pytest instead.
  * debian/control:
    - use pybuild-plugin-pyproject.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Aug 2022 14:21:40 +0000

python-hdf4 (0.10.5-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - do not use unexisting "python3:Recommends" and
      "python3:Suggests" substitution variables.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 13 May 2022 05:57:29 +0000
