=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-nose,
+               python3-pytest,
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
@@ -24,8 +25,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: Python-HDF4: Python interface to the NCSA HDF4 library
  The Python-HDF4 package wraps the functionality of the NCSA HDF version
  4 library inside a Python OOP framework. The SD (scientific dataset),
