=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=python-hdf4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info
