## python-hdf4 0.11.3

=== debian/changelog ===
python-hdf4 (0.11.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 27 Jun 2023 05:44:37 +0000
