=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
@@ -14,15 +14,14 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
 
 Package: python3-hdf4
 Architecture: any
-Depends: python3-numpy,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Python-HDF4: Python interface to the NCSA HDF4 library
