=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_python3:
-	dh_python3
-	dh_numpy3
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
