## python-hdf4 0.11.4

=== debian/changelog ===
python-hdf4 (0.11.4-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with HDF 4.3.0.
    (closes: #1068384)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Apr 2024 20:52:13 +0200

python-hdf4 (0.11.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop hdf4alt.patch, applied upstream.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Mar 2024 09:56:41 +0000

python-hdf4 (0.11.3-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS by search Multi-Arch path for hdf4alt libraries.
    (closes: #1066395)
  * Update upstream repo URLs.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 15:53:45 +0100

python-hdf4 (0.11.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> marker.
  * Switch to autopkgtest-pkg-pybuild.
  * New d/python3-hdf4.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 05 Dec 2023 20:01:45 +0000
