=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: python-hdf4
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Testsuite: autopkgtest-pkg-pybuild
 Section: python
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libhdf4-alt-dev,
                libjpeg-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
-Homepage: https://github.com/fhs/python-hdf4
+Homepage: https://github.com/fhs/pyhdf
 
 Package: python3-hdf4
 Architecture: any
