=== doc/Makefile ===
--- 
+++ 
@@ -85,17 +85,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-hdf4.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyhdf.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-hdf4.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyhdf.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-hdf4"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-hdf4"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyhdf"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyhdf"
 	@echo "# devhelp"
 
 epub:
