=== debian/changelog ===
python-hdf4 (0.11.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Replace libhdf4-alt-dev with libhdf4-dev.
    (closes: #1108651)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Aug 2025 04:25:41 +0200

python-hdf4 (0.11.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on setuptools-scm.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop hdf-4.3.0.patch, applied upstream.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 05 Jan 2025 10:35:22 +0000

python-hdf4 (0.11.4-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to fix FTBFS with GCC 14.
    (closes: #1075417)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2024 13:07:54 +0000
