=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
-               libhdf4-alt-dev,
+               libhdf4-dev,
                libjpeg-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools,
+               python3-setuptools-scm,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/pyhdf
