=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pyhdf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}


%:
	dh $@ --buildsystem=pybuild
